# 32/64bit spec
#
%define name berusky
%define version 1.7.1
%define release %mkrel 1
%define summary 2D logic game

Summary: 2D logic game based on Sokoban
Summary(de): Logik Spiel in 2D	
Name: %{name}
Version: %{version}
Release: %{release}
License:        GPL
Group:          Games/Logic
Source:         http://www.anakreon.cz/download/berusky/tar.gz/%{name}-%{version}.tar.xz
URL:            http://www.anakreon.cz/
Requires:  	berusky-data
Requires:  	SDL
#----------------------------------------
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}glib2.0_0-devel
BuildRequires: %{_lib}gtk+2.0_0-devel
BuildRequires: %{_lib}pango1.0-devel
#----------------------------------------
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
Berusky is a 2D logic game based on an ancient puzzle named Sokoban.

An old idea of moving boxes in a maze has been expanded with new logic
items such as explosives, stones, special gates and so on.
In addition, up to five bugs can cooperate and be controlled by the player.

This package contains a binary for the game.
#german
%description -l de
Sokoban-ähnliches Klötzchenschieben, welches das klassische Spielkonzept 
um neue Elemente wie Explosivstoffe und Teleporter erweitert; wem die 120 
enthaltenen Level nicht reichen, der kann mit dem beiliegenden Leveleditor 
selbst für Nachschub sorgen.

%prep
%setup -q -n %{name}-%{version}

%build
autoreconf -fis
%configure2_5x \
    CFLAGS="$RPM_OPT_FLAGS"

make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}

pushd %{buildroot}/usr/doc
mv * %{buildroot}%{_docdir}/%{name}-%{version}
popd

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/pclinuxos-%{name}.desktop << EOF
[Desktop Entry]
Name=Berusky
Comment=2D logic game
Comment[de]=Logik Spiel in 2D 
Exec=%{_bindir}/berusky
Icon=puzzle_section
Terminal=false
Type=Application
Categories=Game;LogicGame;X-MandrivaLinux-MoreApplications-Games-Puzzles;
EOF

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files
%defattr(-, root, root)
%doc %{_docdir}/%{name}-%{version}/*
%{_bindir}/berusky
%{_datadir}/%{name}/*
%{_datadir}/applications/*

%changelog
* Mon Oct 08 2018 adrianomorselli <adrianomorselli> 1.7.1-1uplos2018
- update
